<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100192";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

///Arrastrando campos del Formulario
	$TipAlmPG=strtoupper($_POST['Cmb_TipoAlma']) or $TipAlmPG=strtoupper($_GET['Cmb_TipoAlma']);
	$ObservPG=strtoupper($_POST['txt_Obse']) or $ObservPG=strtoupper($_GET['txt_Obse']);
	$Nota_1PG=strtoupper($_POST['txt_Not1']) or $Nota_1PG=strtoupper($_GET['txt_Not1']);
	$Nota_2PG=strtoupper($_POST['txt_Not2']) or $Nota_2PG=strtoupper($_GET['txt_Not2']);
	
	$PedS1PG=$_POST['txt_Ped1'] or $PedS1PG=$_POST['txt_Ped1'];
	$PedS2PG=$_POST['txt_Ped2'] or $PedS2PG=$_POST['txt_Ped2'];
	$PedS3PG=$_POST['txt_Ped3'] or $PedS3PG=$_POST['txt_Ped3'];
	$PedS4PG=$_POST['txt_Ped4'] or $PedS4PG=$_POST['txt_Ped4'];
			
			//////Validar campos en blanco////////////
			////Si es combo es N/A Pero si es cuadro de texto es 0
		if ($TipAlmPG=="N/A")
			{ ////Inicia If Estado Calidad en blanco
			echo "<script>alert('Favor de seleccionar el Tipo de Almacén al cual se desea Transferir el stock.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=127-ProcesaTransferencias.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ////Else If Ubicacion destino en blanco
			
			
			///////Validar Campos - si se digito la primer sección del Pedimento
			if ($PedS1PG<>"")
				{ ///Inicia If Validación de Campos Generales en Recinto Fiscal
					
					if ($PedS1PG=="")
					{/// Inicia If 1 de Validación de Campos Fiscales
					echo "<script>alert('Favor de llenar el primer campo que contempla los primeros 2 digitos que conforman el número de pedimento.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=127-ProcesaTransferencias.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else
					{
					if ($PedS2PG=="")
					{/// Inicia If 2 de Validación de Campos Fiscales
					echo "<script>alert('Favor de llenar el segundo campo que contempla los segundos 2 digitos que conforman el número de pedimento.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=127-ProcesaTransferencias.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else
					{
					if ($PedS3PG=="")
					{/// Inicia If 3 de Validación de Campos Fiscales
					echo "<script>alert('Favor de llenar el tercer campo que contempla los terceros 4 digitos que conforman el número de pedimento.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=127-ProcesaTransferencias.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else
					{
					if ($PedS4PG=="")
					{/// Inicia If 4 de Validación de Campos Fiscales
					echo "<script>alert('Favor de llenar el cuarto campo que contempla lo última sección de 7 digitos que conforman el número de pedimento.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=127-ProcesaTransferencias.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else
					{
					///Año para validar pedimento
					$FechaValPed=date("Y");
					$FechaValPed = substr($FechaValPed, -2);
									
					if ($PedS1PG < $FechaValPed)
					{/// Inicia If 5 de Validación de Campos Fiscales
					echo "<script>alert('El año de creación del pedimento es mas antiguo que el año en curso.\\nFavor de validarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=127-ProcesaTransferencias.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else
					{
						
					$sqlV5 = mysql_query("select NOMBRE_ADUANA from tabla_aduanas WHERE CVE_ADUANA='$PedS2PG' AND CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlV5)==0) 
					{/// Inicia If 6 de Validación de Campos Fiscales
						echo "<script>alert('El número de la aduana digitada dentro del pedimento no se encuentra autorizada por la Secretaria de Administración Tributaria (SAT).\\n\\nFavor de validarlo.');</script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=127-ProcesaTransferencias.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else 
					{
					
					$FechaValPed2=date("Y");
					///Devuelve el ultimo digito del año
					$UltDigitoAñoPedimento = substr($FechaValPed2, -1);///Devuelve el ultimo digito del año en el que se creo el pedimento, tomando en cuenta la primer sección y/o los primros 2 digitos del numero de pedimento completo
					
					$PriDigitoFolAsignado = substr($PedS4PG, -7,1);///Devuelve el primer digito del numero de pedimento completo 
						
					if ($UltDigitoAñoPedimento <> $PriDigitoFolAsignado)
					{/// Inicia If 7 de Validación de Campos Fiscales
					echo "<script>alert('El año en la asignación del folio es diferente al año de la creación del pedimento.\\n\\nFavor de validarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=127-ProcesaTransferencias.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&'>";
					}
					else
					{
///##################################################################################################################################
						
				///Realizar proceso si existe un umero de pedimento
				
				$NoPedimGen = $PedS1PG.$PedS2PG.$PedS3PG.$PedS4PG;
						
				///Inicia While General de Barrido		
				$sqlW1 = "SELECT * FROM temporal_transferencias WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO='$UsuEn' ORDER BY ID  ASC";
				$resW1=mysql_query($sqlW1) or die('Error en la consulta: '.mysql_error());
				While($rowW1 = mysql_fetch_array($resW1,MYSQL_ASSOC))
				{ //// Inicia While 1
				$IdElimC=$rowW1["ID"];	
				$NoPalletC=$rowW1["NO_PALLET"];
				$TipoAlmaC=$rowW1["TIPO_ALMACEN_ACTUAL"];
				$CodigSkuC=$rowW1["SKU"];
				
					/////Identificar el codigo SKU del producto por medio de la clave del Pallet
					$sqlDU2 = mysql_query("select SKU_ALT,NO_DOCUMENTO,DESCRIPCION,LOTEPRODU,CANTIDAD,UBICACION,TIPO_ALMACEN from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NoPalletC' AND SKU='$CodigSkuC'");
					if (mysql_numrows($sqlDU2)==0) echo "";
					else{
					$registroDU2=mysql_fetch_array($sqlDU2);
					}
					if (mysql_numrows($sqlDU2)>0)
					{
						$CSkuAlt=$registroDU2["SKU_ALT"];
						$CNoDoc=$registroDU2["NO_DOCUMENTO"];
						$CDescr=$registroDU2["DESCRIPCION"];
						$CPedim=$registroDU2["LOTEPRODU"];
						$CCanti=$registroDU2["CANTIDAD"];
						$CUbicaActu=$registroDU2["UBICACION"];
						$CTipoAlmOri=$registroDU2["TIPO_ALMACEN"];
					}					
												
				///Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
				
				///Cambiar el Tipo de Almacén al Pallet dentro del Stock (tabla_inventario)
					$sql_Up1="Update tabla_inventario SET TIPO_ALMACEN='$TipAlmPG',LOTEPRODU='$NoPedimGen' WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$CodigSkuC' AND NO_PALLET='$NoPalletC'";
					$resultado_Up1=mysql_query($sql_Up1,$conexion) or die(mysql_error());

///****************************************************************************************************************************				
				
				///Registro de Transferencia a Menos
					$sql_GF1 = "select max(ID) as ultimo_FOLIO_GF1 from tabla_kardex"; 
					$lib_GF1 = mysql_query($sql_GF1); 
					$rs_lib_GF1 = mysql_fetch_assoc($lib_GF1); 
					$id_nuevo_GF1 = $rs_lib_GF1['ultimo_FOLIO_GF1'] + 1;
								
				///Guardar el registro de Transferencia a Menos
					$sql_TMen = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF1','$CveBodCR1','$CveCueCR1','$CodigSkuC','$CSkuAlt','$CNoDoc','TRANSFERENCIA - $CTipoAlmOri','$CUbicaActu','$NoPalletC','-$CCanti','$HoraOK','$Fecha','$UsuEn')";
					$resultado_TMen=mysql_query($sql_TMen,$conexion) or die(mysql_error());
					
///****************************************************************************************************************************	

				///Registro de Transferencia a Mas
					$sql_GF2 = "select max(ID) as ultimo_FOLIO_GF2 from tabla_kardex"; 
					$lib_GF2 = mysql_query($sql_GF2); 
					$rs_lib_GF2 = mysql_fetch_assoc($lib_GF2); 
					$id_nuevo_GF2 = $rs_lib_GF2['ultimo_FOLIO_GF2'] + 1;
								
				///Guardar el registro de Transferencia a Mas
					$sql_TMas = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF2','$CveBodCR1','$CveCueCR1','$CodigSkuC','$CSkuAlt','$CNoDoc','TRANSFERENCIA + $TipAlmPG','$CUbicaActu','$NoPalletC','$CCanti','$HoraOK','$Fecha','$UsuEn')";
					$resultado_TMas=mysql_query($sql_TMas,$conexion) or die(mysql_error());								
					
///****************************************************************************************************************************	
				
				///Guardar el Registro de la Transferencia
				
				///Registro de Transferencia a Mas
					$sql_GF3 = "select max(ID) as ultimo_FOLIO_GF3 from tabla_transferencias"; 
					$lib_GF3 = mysql_query($sql_GF3); 
					$rs_lib_GF3 = mysql_fetch_assoc($lib_GF3); 
					$id_nuevo_GF3 = $rs_lib_GF3['ultimo_FOLIO_GF3'] + 1;
								
				///Guardar el registro de Transferencia a Mas
					$sql_GRT = "insert into tabla_transferencias 				(ID,CVE_BODEGA,CVE_CUENTA,TIPO_ALMACEN,PALLET,SKU,DESCRIPCION,CANTIDAD_X_TRANSFERIR,PEDIMENTO,OBSERVACIONES,NOTA_1,NOTA_2,FECHA,HORA,USUARIO)
        		values('$id_nuevo_GF3','$CveBodCR1','$CveCueCR1','$CTipoAlmOri','$NoPalletC','$CodigSkuC','$CDescr','$CCanti','$NoPedimGen','$ObservPG','$Nota_1PG','$Nota_2PG','$Fecha','$HoraOK','$UsuEn')";
					$resultado_GRT=mysql_query($sql_GRT,$conexion) or die(mysql_error());	
					
///****************************************************************************************************************************				
				
				///Registro de Cambio de Lote Producción (# de Pedimento del Pallet) a Menos
					$sql_GF4 = "select max(ID) as ultimo_FOLIO_GF4 from tabla_kardex"; 
					$lib_GF4 = mysql_query($sql_GF4); 
					$rs_lib_GF4 = mysql_fetch_assoc($lib_GF4); 
					$id_nuevo_GF4 = $rs_lib_GF4['ultimo_FOLIO_GF4'] + 1;
								
				///Guardar el registro de Lote Producción (# de Pedimento del Pallet) a Menos
					$sql_PeMen = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF4','$CveBodCR1','$CveCueCR1','$CodigSkuC','$CSkuAlt','$CNoDoc','LOTEPRO - $CPedim','$CUbicaActu','$NoPalletC','-$CCanti','$HoraOK','$Fecha','$UsuEn')";
					$resultado_PeMen=mysql_query($sql_PeMen,$conexion) or die(mysql_error());	
					
///****************************************************************************************************************************				
				
				///Registro de Cambio de Lote Producción (# de Pedimento del Pallet) a Mas
					$sql_GF5 = "select max(ID) as ultimo_FOLIO_GF5 from tabla_kardex"; 
					$lib_GF5 = mysql_query($sql_GF5); 
					$rs_lib_GF5 = mysql_fetch_assoc($lib_GF5); 
					$id_nuevo_GF5 = $rs_lib_GF5['ultimo_FOLIO_GF5'] + 1;
								
				///Guardar el registro de Lote Producción (# de Pedimento del Pallet) a Mas
					$sql_PeMas = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF5','$CveBodCR1','$CveCueCR1','$CodigSkuC','$CSkuAlt','$CNoDoc','LOTEPRO + $NoPedimGen','$CUbicaActu','$NoPalletC','$CCanti','$HoraOK','$Fecha','$UsuEn')";
					$resultado_PeMas=mysql_query($sql_PeMas,$conexion) or die(mysql_error());								
					
///****************************************************************************************************************************											
								
							/////Consulta que elimina el Pallet de la tabla Temporal (temporal_transferencias)///////
								$sqlEtt= "DELETE FROM temporal_transferencias WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NoPalletC' AND ID='$IdElimC'";
								$resultadoEtt=mysql_query($sqlEtt,$conexion) or die(mysql_error());
								
							/////Consulta que elimina el Pallet en Proceso(tabla_pallet_proceso)///////
								$sqlEPM= "DELETE FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn' AND NO_PALLET='$NoPalletC'";
								$resultadoEPM=mysql_query($sqlEPM,$conexion) or die(mysql_error());
					
				
				} //// Termina While 1

							echo "<script>alert('TRANSFERENCIA(S) PROCESADA(S) CORRECTAMENTE.'); </script>";
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=127-ProcesaTransferencias.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&EliBuf=SI'>";
							
///##################################################################################################################################							
												
					}/// Termina If 7
					}/// Termina If 6
					}/// Termina If 5
					}/// Termina If 4
					}/// Termina If 3
					}/// Termina If 2
					}/// Termina If 1
					
				} ///Termina If Validación de Campos Generales en Recinto Fiscal
				else
				{ ///Inicia Else Validación de Campos Generales en Recinto Fiscal
					

							
				
			///Inicia While General de Barrido		
				$sqlW1 = "SELECT * FROM temporal_transferencias WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO='$UsuEn' ORDER BY ID  ASC";
				$resW1=mysql_query($sqlW1) or die('Error en la consulta: '.mysql_error());
				While($rowW1 = mysql_fetch_array($resW1,MYSQL_ASSOC))
				{ //// Inicia While 1
				$IdElimC=$rowW1["ID"];	
				$NoPalletC=$rowW1["NO_PALLET"];
				$TipoAlmaC=$rowW1["TIPO_ALMACEN_ACTUAL"];
				$CodigSkuC=$rowW1["SKU"];
				
					/////Identificar el codigo SKU del producto por medio de la clave del Pallet
					$sqlDU2 = mysql_query("select SKU_ALT,NO_DOCUMENTO,DESCRIPCION,LOTEPRODU,CANTIDAD,UBICACION,TIPO_ALMACEN from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NoPalletC' AND SKU='$CodigSkuC'");
					if (mysql_numrows($sqlDU2)==0) echo "";
					else{
					$registroDU2=mysql_fetch_array($sqlDU2);
					}
					if (mysql_numrows($sqlDU2)>0)
					{
						$CSkuAlt=$registroDU2["SKU_ALT"];
						$CNoDoc=$registroDU2["NO_DOCUMENTO"];
						$CDescr=$registroDU2["DESCRIPCION"];
						$CPedim=$registroDU2["LOTEPRODU"];
						$CCanti=$registroDU2["CANTIDAD"];
						$CUbicaActu=$registroDU2["UBICACION"];
						$CTipoAlmOri=$registroDU2["TIPO_ALMACEN"];
					}					
												
				///Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
				
				///Cambiar el Tipo de Almacén al Pallet dentro del Stock (tabla_inventario)
					$sql_Up1="Update tabla_inventario SET TIPO_ALMACEN='$TipAlmPG' WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$CodigSkuC' AND NO_PALLET='$NoPalletC'";
					$resultado_Up1=mysql_query($sql_Up1,$conexion) or die(mysql_error());

///****************************************************************************************************************************				
				
				///Registro de Transferencia a Menos
					$sql_GF1 = "select max(ID) as ultimo_FOLIO_GF1 from tabla_kardex"; 
					$lib_GF1 = mysql_query($sql_GF1); 
					$rs_lib_GF1 = mysql_fetch_assoc($lib_GF1); 
					$id_nuevo_GF1 = $rs_lib_GF1['ultimo_FOLIO_GF1'] + 1;
								
				///Guardar el registro de Transferencia a Menos
					$sql_TMen = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF1','$CveBodCR1','$CveCueCR1','$CodigSkuC','$CSkuAlt','$CNoDoc','TRANSFERENCIA - $CTipoAlmOri','$CUbicaActu','$NoPalletC','-$CCanti','$HoraOK','$Fecha','$UsuEn')";
					$resultado_TMen=mysql_query($sql_TMen,$conexion) or die(mysql_error());
					
///****************************************************************************************************************************	

				///Registro de Transferencia a Mas
					$sql_GF2 = "select max(ID) as ultimo_FOLIO_GF2 from tabla_kardex"; 
					$lib_GF2 = mysql_query($sql_GF2); 
					$rs_lib_GF2 = mysql_fetch_assoc($lib_GF2); 
					$id_nuevo_GF2 = $rs_lib_GF2['ultimo_FOLIO_GF2'] + 1;
								
				///Guardar el registro de Transferencia a Mas
					$sql_TMas = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF2','$CveBodCR1','$CveCueCR1','$CodigSkuC','$CSkuAlt','$CNoDoc','TRANSFERENCIA + $TipAlmPG','$CUbicaActu','$NoPalletC','$CCanti','$HoraOK','$Fecha','$UsuEn')";
					$resultado_TMas=mysql_query($sql_TMas,$conexion) or die(mysql_error());								
					
///****************************************************************************************************************************	
				
				///Guardar el Registro de la Transferencia
				
				///Registro de Transferencia a Mas
					$sql_GF3 = "select max(ID) as ultimo_FOLIO_GF3 from tabla_transferencias"; 
					$lib_GF3 = mysql_query($sql_GF3); 
					$rs_lib_GF3 = mysql_fetch_assoc($lib_GF3); 
					$id_nuevo_GF3 = $rs_lib_GF3['ultimo_FOLIO_GF3'] + 1;
								
				///Guardar el registro de Transferencia a Mas
					$sql_GRT = "insert into tabla_transferencias 				(ID,CVE_BODEGA,CVE_CUENTA,TIPO_ALMACEN,PALLET,SKU,DESCRIPCION,CANTIDAD_X_TRANSFERIR,PEDIMENTO,OBSERVACIONES,NOTA_1,NOTA_2,FECHA,HORA,USUARIO)
        		values('$id_nuevo_GF3','$CveBodCR1','$CveCueCR1','$CTipoAlmOri','$NoPalletC','$CodigSkuC','$CDescr','$CCanti','$CPedim','$ObservPG','$Nota_1PG','$Nota_2PG','$Fecha','$HoraOK','$UsuEn')";
					$resultado_GRT=mysql_query($sql_GRT,$conexion) or die(mysql_error());	
					
///****************************************************************************************************************************										
								
							/////Consulta que elimina el Pallet de la tabla Temporal (temporal_transferencias)///////
								$sqlEtt= "DELETE FROM temporal_transferencias WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NoPalletC' AND ID='$IdElimC'";
								$resultadoEtt=mysql_query($sqlEtt,$conexion) or die(mysql_error());
								
							/////Consulta que elimina el Pallet en Proceso(tabla_pallet_proceso)///////
								$sqlEPM= "DELETE FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn' AND NO_PALLET='$NoPalletC'";
								$resultadoEPM=mysql_query($sqlEPM,$conexion) or die(mysql_error());
					
				
				} //// Termina While 1

							echo "<script>alert('TRANSFERENCIA(S) PROCESADA(S) CORRECTAMENTE.'); </script>";
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=127-ProcesaTransferencias.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&EliBuf=SI'>";
			
			
			} ///Termina Else Validación de Campos Generales en Recinto Fiscal
			
		} ////Termina If Estado Calidad en blanco
			
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>